EDIT - bug #7129

after deduplication bulkeditor should load the entities
12/07/2017 05:18 PM - Katja Luther

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

mail von Henning:

Im EDITor Autoren dedupliziert, ,Lange-Bert.”, ,Metzeltin“ gespeichert.
Nicht dedupliziert: ,G.Moser”

Autorteam G.Moser, Lange-Bert. & Metzeltin mehrfach vorhanden

Beim Klicken auf Editier-Felder der Person Lange-Bert. Oder Metzeltin folgende Fehlermeldung.
(Losung: Hatte ich den Personen & Teams-Editor vorher geschlossen und wieder gedffnet wéare die Fehlermeldung nicht erschienen)

login : henning

editor version : 4.12.0

server : api.cybertaxonomy.org (cybertaxonomy.org) / phycobank

schema version : 4.7.0.0.201710040000

os : Windows 7 6.1 amd64

java:1.8.0_151

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.selection.EditFromSelectionWizard.addPages(EditFromSelectionWizard.java:101)
at org.eclipse.jface.wizard.WizardDialog.createContents(WizardDialog.java:585)

at org.eclipse.jface.window.Window.create(Window.java:426)

at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1095)

at org.eclipse.jface.window.Window.open(Window.java:783)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$EditListener.widgetSelected(EntitySelectionElement.java:438)
at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)

at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)

at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.ui.internal. Workbench.createAndRunWorkbench(Workbench.java:610)

at org.eclipse.ui.PlatformUl.createAndRunWorkbench(PlatformUl.java:148)

at eu.etaxonomy.taxeditor.Application.start(Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Related issues:
Has duplicate EDIT - bug #7136: after deduplication of persons the referencin... Duplicate

History

#1 - 12/07/2017 09:49 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

#2 - 12/12/2017 10:32 AM - Katja Luther

- Has duplicate bug #7136: after deduplication of persons the referencing teams still pointing to the deleted persons added

#3 - 12/12/2017 10:32 AM - Katja Luther

- Status changed from New to Duplicate

#4 - 12/12/2017 11:03 AM - Andreas Miiller

- Target version deleted (Release 4.13)
